Qore::ExceptionInfo Struct Reference

exception information hash More...

## Public Attributes

auto | arg
| this key is populated with the value of the third expression of the throw statement (if a list was thrown). For system exceptions, this is populated for some exceptions where additional information is provided.
list< hash< CallStackInfo > > | callstack
| call stack backtrace information
auto | desc
| this key is populated with the value of the second expression of the throw statement (if a list was thrown). For system exceptions, this is a string giving a text description of the error.
int | endline
| position info: end line number
auto | err
| this key is populated with the value of the first expression of the throw statement. For system exceptions, this is a string giving the exception code.
string | file
| position info: the parse label where exception occurred; this is normally the file name; this corresponds to the label parameter of the Program::parse() and Program::parsePending() methods and the Qore::parse() function, for example
string | lang
| the language of the source code location; normally `"Qore"`
int | line
| position info: start line number
hash< ExceptionInfo > | next
| chained exception info
int | offset
| position info: line number offset for the `"source"` key (if known, for user code only)
string | source
| position info: an optional source string; if multiple sections of a file were parsed with different parse labels, then the source file name will normally go here and the "file" key will have the parse label; this corresponds to the source parameter of the Program::parse() and Program::parsePending() methods, for example (if known, for user code only)
string | type
| exception type: `"User"` or `"System"`; see Exception Type Constants

## Detailed Description

exception information hash

Since
  Qore 0.8.13